import pygame
import os

data_py = os.path.abspath(os.path.dirname(__file__))
data_py.replace('soultrip.exe', '')
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))
data_cache = {}

def filepath(filename):
    '''Determine the path to a file in the data directory.
    '''
    return os.path.join(data_dir, filename)

def load(filename, mode='rb'):
    '''Open a file in the data directory.

    "mode" is passed as the second arg to open().
    '''
    return open(os.path.join(data_dir, filename), mode)

def loadimage(relpath):
	if relpath not in data_cache:
		data_cache[relpath] = pygame.image.load(filepath(relpath))
	return data_cache[relpath]

def loadfont(relpath):
    return pygame.font.Font
