import pygame
from pygame.locals import *


class InputManager(object):
	def __init__(self, player):
		self.player = player
		self.exit = False
		self.up_down = 0
		self.left_right = 0
		self.go = False

	def update(self, dt):
		self.up_down = 0
		self.left_right = 0
		pygame.event.pump()
		pressed = pygame.key.get_pressed();
		if pressed[K_w] != 0 or pressed[K_UP] != 0:
			self.up_down -= 1
		if pressed[K_s] or pressed[K_DOWN]:
			self.up_down += 1
		if pressed[K_a] or pressed[K_LEFT]:
			self.left_right -= 1
		if pressed[K_d] or pressed[K_RIGHT]:
			self.left_right += 1
		if pressed[K_p]:
			self.player.show_face = 'win'
		if pressed[K_o]:
			self.player.show_face = 'hit'
		if pressed[K_i]:
			self.player.show_face = 'lose'
		if pressed[K_u]:
			self.player.show_face = 'default'
		if pressed[K_SPACE]:
			self.go = True
		else:
			self.go = False
		if pressed[K_ESCAPE]:
			self.exit = True

		self.player.up_down = self.up_down
		self.player.left_right = self.left_right


