from soultrip.constants import *
import pygame
from pygame import Surface

class Meter(object):
	def __init__(self, orbtarget, orbs = 0):
		self.prev_orbs = -1
		self.orbs = orbs
		self.orbtarget = float(orbtarget)
		self.height = RESOLUTION_Y - 40
		self.width = 20
		self.surface = Surface((self.width, self.height))
		self.color = (255,255,255)
		self.update(0)
		self.win = False
		self.lose = False

	def reset(self):
		self.win = False
		self.lose = False
		self.update(0)

	def update(self, dt):
		if self.orbs != self.prev_orbs:
			self.prev_orbs = self.orbs
			self.surface = Surface((self.width, self.height))
			pygame.draw.rect(self.surface, self.color, pygame.Rect(0, 0, self.width, self.height), 1)
			bar = self.orbs / self.orbtarget * self.height
			yoffset = self.height - bar
			#print yoffset
			pygame.draw.rect(self.surface, self.color, pygame.Rect(0, yoffset, self.width, bar))
			
		if self.orbs >= self.orbtarget:
			self.win = True
		if self.orbs <= 0:
			self.lose = True

	def draw(self, surface):
		surface.blit(self.surface, (20, 20))