from pygame import gfxdraw
from pygame import Surface, Rect
from soultrip.constants import *
from soultrip.stageobject import StageObject
from soultrip.gamesprite import GameSprite
from soultrip.data import loadimage
import math
class Orb(StageObject):
    def __init__(self, pos, speed):
        StageObject.__init__(self)
        self.pos = pos
        self.speed = speed
        self.r = 60
        self.sprite_rect = Rect(self.pos.x - self.r / 2, self.pos.y - self.r / 2, self.r, self.r)

        self.extents = (5, 5)
        self.active = True
        StageObject.update(self, 0)
        self.sprite = GameSprite("orb.png", 1,  self.sprite_rect, {
                'frames': 2,
                'fps': 4
            })

    #def

    def update(self, dt):
        StageObject.update(self, dt)
        #self.sprite_rect
        self.sprite.update(dt)

        self.sprite.rect = Rect(self.pos.x - self.r / 2, self.pos.y - self.r / 2, self.r, self.r)
        self.pos += self.speed * dt
        #print self.pos
        if self.pos.y > RESOLUTION_Y + 20:
            self.active = False

    def draw(self, surface):
        self.sprite.draw(surface)
