from soultrip.constants import *
from soultrip.gamesprite import GameSprite
from pygame import Rect, Surface
from pygame.transform import flip


class Sacrifice(object):
	def __init__(self):
		self.offset = 0
		self.surface = Surface((RESOLUTION_X, RESOLUTION_Y)).convert_alpha()
		self.surface.fill((0,0,0,0))
		self.status = 'dead'
		self.dead()

		self.win_timer = 0
		self.win_time = 40
		self.win = False

	def awake(self):
		self.status = 'awake'
		self.preist_rect = Rect(580, 480, 136, 170)
		self.priest = GameSprite("frightened_mystic1_spritesheet.png", 1, self.preist_rect, {
				'frames': 2,
				'fps': 4
			})

		self.sacrifice_rect = Rect(400, 500, 493, 260)
		self.sacrifice = GameSprite("deadguy_sitsup_spritesheet.png", 1, self.sacrifice_rect, {
				'frames': 3,
				'fps': 20
			})

		self.assistant_1_rect = Rect(825, 525, 137, 181)
		self.assistant_1 = GameSprite("frightened_mystic2_spritesheet.png", 1, self.assistant_1_rect, {
				'frames': 2,
				'fps': 5
			})

		self.assistant_2_rect = Rect(325, 525, 137, 181)
		self.assistant_2 = GameSprite("frightened_mystic2_spritesheet.png", 1, self.assistant_2_rect, {
				'frames': 2,
				'fps': 5
			})
		self.assistant_2.image = flip(self.assistant_2.image, True, False)
		self.assistant_2.rect = self.assistant_2_rect

	def dead(self):
		self.win_timer = 0
		self.win = False
		self.status = 'dead'
		self.preist_rect = Rect(580, 480, 136, 170)
		self.priest = GameSprite("mystic_spritesheet_1.png", 1, self.preist_rect, {
				'frames': 2,
				'fps': 4
			})

		self.sacrifice_rect = Rect(400, 500, 493, 260)
		self.sacrifice = GameSprite("dead_guy_spritesheet.png", 1, self.sacrifice_rect, {
				'frames': 2,
				'fps': 12
			})

		self.assistant_1_rect = Rect(825, 525, 137, 181)
		self.assistant_1 = GameSprite("mystic_spritesheet_2.png", 1, self.assistant_1_rect, {
				'frames': 8,
				'fps': 5
			})

		self.assistant_2_rect = Rect(325, 525, 137, 181)
		self.assistant_2 = GameSprite("mystic_spritesheet_2.png", 1, self.assistant_2_rect, {
				'frames': 8,
				'fps': 5
			})
		self.assistant_2.image = flip(self.assistant_2.image, True, False)
		self.assistant_2.rect = self.assistant_2_rect

	def update(self, dt):
		self.priest.update(dt)
		self.sacrifice.update(dt)
		self.assistant_1.update(dt)
		self.assistant_2.update(dt)
		if self.status == 'awake' and self.offset < 2:
			if self.win_timer < self.win_time:
				self.win_timer += dt * 1
			else:
				self.win = True


	def draw(self, surface):
		self.surface.fill((0,0,0,0))
		self.priest.draw(self.surface)
		self.sacrifice.draw(self.surface)
		self.assistant_1.draw(self.surface)
		self.assistant_2.draw(self.surface)

		surface.blit(self.surface, (0, 0 + self.offset))